import 'package:get/get.dart';

class NodeController extends GetxController {
  // 游戏tab列表
  final _tabTextList = <String>['All', 'Streaming'].obs;
  List<String> get tabTextList => _tabTextList;
  set tabTextList(List<String> value) => _tabTextList.assignAll(value);

  // 当前选中的 Tab 索引
  final _currentTabIndex = 0.obs;
  int get currentTabIndex => _currentTabIndex.value;
  set currentTabIndex(int value) => _currentTabIndex.value = value;

  // 保存每个 tab 中每个国家的展开/收缩状态
  // key 格式: "tabIndex_countryCode"
  final Map<String, bool> expandedStates = {};

  /// 获取国家的展开状态
  bool getExpandedState(int tabIndex, String countryCode) {
    final key = '${tabIndex}_$countryCode';
    return expandedStates[key] ?? false; // 默认收缩
  }

  /// 设置国家的展开状态
  void setExpandedState(int tabIndex, String countryCode, bool expanded) {
    final key = '${tabIndex}_$countryCode';
    expandedStates[key] = expanded;
  }
}
